package _06_综合练习;

public class Test1 {
    public static void main(String[] args) {
        /**
         * 101-200 之间有多少个指数
         * 如果他是质数需要打印出来
         * 7 是质数
         * 11 是质数
         *
         * 一共有xxx 质数
         * 质数: 只能呗1 和他本身整除的属于质数
         *
         */
        int count  = 0;
        for (int j = 101; j <=200; j++) {
            boolean flag = false;
            // 判断一个数是否是质数
            // 如果出了1 和他本身之外 能呗其他数整除说明他不是一个质数
            // 2 - 6
            for (int i = 2; i < j ; i++) {
                if(j % i == 0){
                    flag = true;
                    break;
                }
            }
            if(flag){
//                System.out.println(j +"不是一个质数");
            }else{
                count ++;
                System.out.println(j + "是一个质数");
            }
         }
        System.out.println("一共有"+ count +"个质数");

    }
}
